org.jbpm.kie.services.impl.query.builder

## Class UserTaskPotOwnerQueryBuilderFactory

- java.lang.Object
- - org.jbpm.kie.services.impl.query.builder.UserTaskPotOwnerQueryBuilderFactory

- All Implemented Interfaces:
    QueryParamBuilderFactory

      public class UserTaskPotOwnerQueryBuilderFactory
      extends Object
      implements QueryParamBuilderFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTaskPotOwnerQueryBuilderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(String identifier)` Determines if this factory can build instances with given identifier
    `QueryParamBuilder<org.dashbuilder.dataset.filter.ColumnFilter>` | `newInstance(Map<String,Object> parameters)` Returns new QueryParamBuilder instance constructed with given parameters

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTaskPotOwnerQueryBuilderFactory

          public UserTaskPotOwnerQueryBuilderFactory()

  - ### Method Detail

    - #### accept

          public boolean accept(String identifier)

      Description copied from interface: `QueryParamBuilderFactory`
      Determines if this factory can build instances with given identifier
      Specified by:
        `accept` in interface `QueryParamBuilderFactory`
      Parameters:
        `identifier` - identifier of the query param builder
      Returns:
        returns true if is capable of building instances with given identifier otherwise false

    - #### newInstance

          public QueryParamBuilder<org.dashbuilder.dataset.filter.ColumnFilter> newInstance(Map<String,Object> parameters)

      Description copied from interface: `QueryParamBuilderFactory`
      Returns new QueryParamBuilder instance constructed with given parameters
      Specified by:
        `newInstance` in interface `QueryParamBuilderFactory`
      Parameters:
        `parameters` - parameters to be used to construct query param builder instance
      Returns:
        fully built instance of QueryParamBuilder

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.